Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaOneToMany

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaRelationship
              org.apache.cayenne.jpa.map.JpaOneToMany

All Implemented Interfaces:
  XMLSerializable

    public class JpaOneToMany

extends JpaRelationship

Field Summary
`protected Collection<JpaJoinColumn>` | `joinColumns`
`protected JpaJoinTable` | `joinTable`
`protected String` | `mapKey`
`protected String` | `mappedBy`
`protected String` | `orderBy`

Fields inherited from class org.apache.cayenne.jpa.map.JpaRelationship
`cascade, fetch, targetEntityName`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaOneToMany()`
`JpaOneToMany(javax.persistence.OneToMany annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Collection<JpaJoinColumn>` | `getJoinColumns()`
`JpaJoinTable` | `getJoinTable()`
`String` | `getMapKey()`
`String` | `getMappedBy()`
`String` | `getOrderBy()`
`boolean` | `isToMany()`
`void` | `setJoinTable(JpaJoinTable joinTable)`
`void` | `setMapKey(String mapKey)`
`void` | `setMappedBy(String mappedBy)`
`void` | `setOrderBy(String orderBy)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaRelationship
`getCascade, getFetch, getTargetEntityName, setCascade, setFetch, setTargetEntityName, toString`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`getName, getPropertyDescriptor, setName, setPropertyDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mappedBy

    protected String mappedBy

### joinColumns

    protected Collection<JpaJoinColumn> joinColumns

### joinTable

    protected JpaJoinTable joinTable

### orderBy

    protected String orderBy

### mapKey

    protected String mapKey

Constructor Detail

### JpaOneToMany

    public JpaOneToMany()

### JpaOneToMany

    public JpaOneToMany(javax.persistence.OneToMany annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Specified by:
    `encodeAsXML` in class `JpaAttribute`

### isToMany

    public boolean isToMany()

  Specified by:
    `isToMany` in class `JpaRelationship`

### getJoinColumns

    public Collection<JpaJoinColumn> getJoinColumns()

### getJoinTable

    public JpaJoinTable getJoinTable()

### setJoinTable

    public void setJoinTable(JpaJoinTable joinTable)

### getOrderBy

    public String getOrderBy()

### setOrderBy

    public void setOrderBy(String orderBy)

### getMappedBy

    public String getMappedBy()

### setMappedBy

    public void setMappedBy(String mappedBy)

### getMapKey

    public String getMapKey()

### setMapKey

    public void setMapKey(String mapKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.